classification
Title: Asyncio Event Documentation Links Incorrect
Type: Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: asvetlov, docs@python, mattfowler, miss-islington
Priority: normal Keywords: patch

Created on 2020-12-21 14:30 by mattfowler, last changed 2020-12-23 11:14 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 23881 merged mattfowler, 2020-12-21 14:40
PR 23908 merged miss-islington, 2020-12-23 10:45
PR 23909 merged miss-islington, 2020-12-23 10:45
Messages (4)
msg383524 - (view) Author: Matt Fowler (mattfowler) * Date: 2020-12-21 14:30
The documentation for `asyncio.Event` has incorrect links. The `wait` coroutine incorrectly links to the docs for the `asyncio.wait` waiting primitive, and the `set` method incorrectly links to the docs for the `set` class constructor.
msg383638 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2020-12-23 10:45
New changeset d90ff376813843310a6f9ccc96551fa1521e8fef by Matt Fowler in branch 'master':
BPO-42703: Fix incorrect documentation links for asyncio.Event (GH-23881)
https://github.com/python/cpython/commit/d90ff376813843310a6f9ccc96551fa1521e8fef
msg383639 - (view) Author: miss-islington (miss-islington) Date: 2020-12-23 11:14
New changeset 1e1bacf9e61143e7b0f78de9dcb578983bea8f81 by Miss Islington (bot) in branch '3.9':
BPO-42703: Fix incorrect documentation links for asyncio.Event (GH-23881)
https://github.com/python/cpython/commit/1e1bacf9e61143e7b0f78de9dcb578983bea8f81
msg383640 - (view) Author: miss-islington (miss-islington) Date: 2020-12-23 11:14
New changeset 412c935a37eb8fe290b684c44c80cf361f6b814b by Miss Islington (bot) in branch '3.8':
BPO-42703: Fix incorrect documentation links for asyncio.Event (GH-23881)
https://github.com/python/cpython/commit/412c935a37eb8fe290b684c44c80cf361f6b814b
History
Date User Action Args
2021-07-05 08:31:57erlendaaslandlinkissue41676 superseder
2020-12-23 11:14:51asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-12-23 11:14:30miss-islingtonsetmessages: + msg383640
2020-12-23 11:14:16miss-islingtonsetmessages: + msg383639
2020-12-23 10:45:15miss-islingtonsetpull_requests: + pull_request22762
2020-12-23 10:45:07miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request22761
2020-12-23 10:45:02asvetlovsetnosy: + asvetlov
messages: + msg383638
2020-12-21 14:40:48mattfowlersetkeywords: + patch
stage: patch review
pull_requests: + pull_request22741
2020-12-21 14:30:35mattfowlercreate